LSH(1)

NAME
lsh - secsh (SSH2) client

SYNOPSIS
lsh [OPTION...] HOST [COMMAND]

DESCRIPTION
CAUTION! The information in this manpage may be invalid or outdated. For authorative information on lsh, please see it's Texinfo manual (see the SEE ALSO section).

Connects to the the remote machine HOST, and perform one or more actions, i.e. command execution, various forwarding services. The default action is to start a remote interactive shell or execute a given command on the remote machine.

OPTIONS

--capture-to=File
    When a new hostkey is received, append an ACL expressing trust in the key. In sloppy mode, the default is ~/.lsh/captured_keys.

--dh-keyexchange
    Enable DH support (default, unless SRP is being used).

--host-db=Filename
    By default, ~/.lsh/host-acls

-i, --identity=Identity key
    Use this key to authenticate.

--no-dh-keyexchange
    Disable DH support.

--no-publickey
    Don't try publickey user authentication.

--no-srp-keyexchange
    Disable experimental SRP support (default).

--publickey
    Try publickey user authentication (default).

--sloppy-host-authentication
    Allow untrusted hostkeys.

--srp-keyexchange
    Enable experimental SRP support.

--strict-host-authentication
    Never, never, ever trust an unknown hostkey. (default)

--debug
    Print huge amounts of debug information

--log-file=File name
    Append messages to this file.

-q, --quiet
    Suppress all warnings and diagnostic messages

--trace
    Detailed trace

-v, --verbose
    Verbose diagnostic messages

Algorithm selection:

-c, --crypto=Algorithm

--hostkey-algorithm=Algorithm

--list-algorithms
    List supported algorithms.

-m, --mac=Algorithm

-z, --compression[=Algorithm]
    Default is zlib.

--askpass=Program
    Program to use for reading passwords. Should be an absolute filename.

-l, --user=User name
    Login as this user.

-p, --port=Port
    Connect to this port.

Actions:

-B, --background
    Put process into the background. Implies -N.

-D, --forward-socks[=port] Enable socks dynamic forwarding

-E, --execute=command
    Execute a command on the remote machine

-L, --forward-local-port=local-port:target-host:target-port

-N, --nop
    No operation (suppresses the default action, which is to spawn a remote shell)

--subsystem=subsystem-name
    Connect to given subsystem. Implies --no-pty.

-S, --shell=command
    Spawn a remote shell

Universal not:

-n, --no
    Inverts the effect of the next modifier

Modifiers that apply to port forwarding:

-g, --remote-peers
    Allow remote access to forwarded ports

--no-remote-peers
    Disallow remote access to forwarded ports (default).

Modifiers that apply to remote execution:

--detach
    Detach from terminal at session end.

--no-detach
    Do not detach session at end, wait for all open channels (default).

--no-pty
    Don't request a remote pty.

--no-stderr
    Redirect stderr to /dev/null

--no-stdin
    Redirect stdin from /dev/null

--no-stdout
    Redirect stdout to /dev/null

--stderr=Filename
    Redirect stderr

--stdin=Filename
    Redirect stdin

--stdout=Filename
    Redirect stdout

-t, --pty
    Request a remote pty (default).

Miscellaneous options:

-e, --escape-char=Character
    Escape char. `none' means disable. Default is to use `~' if we have a tty, otherwise none.

--write-pid
    Make -B write the pid of the backgrounded process to stdout.

-G, --gateway
    Setup a local gateway

-R, --forward-remote-port=remote-port:target-host:target-port

--no-x11-forward
    Disable X11 forwarding (default).

-x, --x11-forward
    Enable X11 forwarding.

-?, --help
    Give this help list

--usage
    Give a short usage message

-V, --version
    Print program version

FILES

$HOME/.lsh/captured_keys

is the default file used for storing keys captured when connecting to hosts with keys not previously accepted (see the --capture-to option).

$HOME/.lsh/host_acls

is the default file containing accepted keys (see the --host-db option).

$HOME/.lsh/identity

is the key file lsh attempts to use by default (see the --identity option).

DIAGNOSTICS
See the --verbose , --trace and --debug options.

REPORTING BUGS
Report bugs to <bug-lsh@gnu.org>.

ENVIRONMENT
LSH_YARROW_SEED_FILE may be used to specify the random seed file.

LSHFLAGS may be used for passing additional parameters. The parsing order is undefined.

COPYING
The lsh suite of programs is distributed under the GNU General Public License; see the COPYING and AUTHORS files in the source distribution for details.

AUTHOR
The lsh program suite is written mainly by Niels Möller <nisse@lysator.liu.se>.

This man-page was originally written by J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>. It was modified and updated for lsh 2.0 by Pontus Freyhult <pont_lsh@soua.net>

SEE ALSO
lsftp(1), lshg(1), lsh-authorize(1), lsh-keygen(1), lsh-make-seed(1), lsh-upgrade(1), lsh-upgrade-key(1), lsh-writekey(1), lshd(8), ssh-conv(1)

The full documentation for lsh is maintained as a Texinfo manual. If the info and lsh programs are properly installed at your site, the command

    info lsh

should give you access to the complete manual.